aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/services/igmpproxy
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2014-06-06 09:34:38 +0000
committerJohn Crispin <john@openwrt.org>2014-06-06 09:34:38 +0000
commit1352b866279930f5ba0e30aa6d2f50b2e69e8e1d (patch)
tree9ce859df2580500aa1edd8385a5574a6980a7f56 /package/network/services/igmpproxy
parentbd179b2610d361a2140f5249b14f3c8779c484cc (diff)
downloadupstream-1352b866279930f5ba0e30aa6d2f50b2e69e8e1d.tar.gz
upstream-1352b866279930f5ba0e30aa6d2f50b2e69e8e1d.tar.bz2
upstream-1352b866279930f5ba0e30aa6d2f50b2e69e8e1d.zip
igmpproxy: report an error and dont start the instance if one of the interfaces is not up
Signed-off-by: John Crispin <blogic@openwrt.org> SVN-Revision: 41032
Diffstat (limited to 'package/network/services/igmpproxy')
-rw-r--r--package/network/services/igmpproxy/files/igmpproxy.init9
1 files changed, 6 insertions, 3 deletions
diff --git a/package/network/services/igmpproxy/files/igmpproxy.init b/package/network/services/igmpproxy/files/igmpproxy.init
index 58b4377a9d..fb0333f048 100644
--- a/package/network/services/igmpproxy/files/igmpproxy.init
+++ b/package/network/services/igmpproxy/files/igmpproxy.init
@@ -42,7 +42,11 @@ igmp_add_phyint() {
json_load "$(ifstatus $network)"
json_get_var device l3_device
json_get_var up up
- [ -n "$device" -a "$up" = "1" ] || return;
+
+ [ -n "$device" -a "$up" = "1" ] || {
+ procd_append_param error "$network is not up"
+ return;
+ }
echo -e "\nphyint $device $direction ratelimit 0 threshold 1" >> /var/etc/igmpproxy.conf
@@ -68,10 +72,9 @@ service_triggers() {
start_service() {
config_load igmpproxy
+ procd_open_instance
config_foreach igmp_header igmpproxy
config_foreach igmp_add_phyint phyint
-
- procd_open_instance
procd_set_param command $PROG
[ -n "$OPTIONS" ] && procd_append_param $OPTIONS
procd_append_param command $CONFIGFILE